Name:		fxload
Version:	2008_10_13
Release:	%mkrel 9
Summary:	EZ-USB utility program
Group:		System/Kernel and hardware
License:	GPLv2
URL:		https://linux-hotplug.sourceforge.net/
Source:		https://sourceforge.net/projects/linux-hotplug/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		fxload-2008_10_13-types.patch
Patch1:		fxload-2008_10_13-mga-fix_Makefile_path.patch
Patch2:		fxload-cflags-ldflags.patch

%description
This package contains utilities for downloading firmware to EZ-USB devices.
EZ-USB devices use 8051-based microcontrollers that have been enhanced with
registers, buffers, and other device-side support for USB transactions.

It currently supports devices based on the Anchorchips EZ-USB, as well as the
Cypress EZ-USB FX (which is almost completely source compatible) and EZ-USB FX2
(which is not).  All of these support full speed (12 Mbit/sec) transfers.  The
FX2 also supports high speed (480 Mbit/s) transfers, introduced in USB 2.0.

This version of FXLOAD supports optional use of two-stage loading, where
special device firmware is used to support writing into off-chip memory such
as RAM (when firmware neeeds more than about 8 KBytes of code and data) or,
for firmware development, I2C serial EEPROM.

%prep
%autosetup -p1

%build
%make_build LDFLAGS="%{ldflags}"

%install
%make_install INSTALL="%{_bindir}/install -D" sbindir=/sbin

%files
%doc README.txt
%license COPYING
/sbin/fxload
%{_datadir}/usb/
%{_mandir}/man8/%{name}.8.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2008_10_13-9.mga10
+ Revision: 2223135
- Mageia 10 Mass Rebuild

* Tue May 21 2024 daviddavid <daviddavid> 2008_10_13-8.mga10
+ Revision: 2065698
- fix make command

* Tue Mar 15 2022 umeabot <umeabot> 2008_10_13-7.mga9
+ Revision: 1791914
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2008_10_13-6.mga8
+ Revision: 1513150
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2008_10_13-5.mga7
+ Revision: 1297811
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 2008_10_13-4.mga6
+ Revision: 940985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2008_10_13-3.mga5
+ Revision: 746410
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2008_10_13-2.mga5
+ Revision: 679392
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 daviddavid <daviddavid> 2008_10_13-1.mga5
+ Revision: 666335
- remove previous patches
- add two new patches to fix build
- update License
- new version: 2008_10_13

* Fri Oct 18 2013 umeabot <umeabot> 2002_04_11-14.mga4
+ Revision: 504662
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2002_04_11-13.mga3
+ Revision: 351010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 ennael <ennael> 2002_04_11-12.mga1
+ Revision: 36816
- imported package fxload


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2002_04_11-12mdv2011.0
+ Revision: 605221
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2002_04_11-11mdv2010.1
+ Revision: 522681
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2002_04_11-10mdv2010.0
+ Revision: 424511
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2002_04_11-9mdv2009.1
+ Revision: 351157
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2002_04_11-8mdv2009.0
+ Revision: 221015
- rebuild

* Sun Mar 09 2008 Adam Williamson <awilliamson@mandriva.org> 2002_04_11-7mdv2008.1
+ Revision: 182740
- move binary to /sbin (this seems to be the standard)

* Wed Jan 09 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2002_04_11-6mdv2008.1
+ Revision: 147248
- Added patch fxload-2002_04_11-usb_header.patch, to address bug #36214.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - fix kernel require
    - BR kernel-server-devel-latest for asm/usb.h
    - kill re-definition of %%buildroot on Pixel's request
    - import fxload


* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 2002_04_11-5mdk
- mkrel

* Sun Mar 19 2006 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net> 2002_04_11-4mdk
- Remove requirement of ezusbmidi. This program may be used to load
  other firmware files, and it can be used with udev instead of hotplug.

* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 2002_04_11-3mdk
- require ezusbmidi instead of hotplug, because the hotplug script
  is provided in ezusbmidi
- Patch0: fix build by including <asm/types.h>

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2002_04_11-2mdk
- Own dir

* Tue Apr 22 2002 Austin Acton <aacton@yorku.ca> 2002_04_11-1mdk
- initial package
